Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class EmbeddedImageInfo

    java.lang.Object
      com.compoze.domino.EmbeddedImageInfo

All Implemented Interfaces:
  java.io.Serializable

public class EmbeddedImageInfo
extends java.lang.Object
implements java.io.Serializable

This class stores information about an embedded image.

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_GIF` Represents the image is of type ".gif".
`static int` | `TYPE_JPEG` Represents the image is of type ".jpeg".

Method Summary
`java.lang.String` | `getFileName()` Gets the filename of the image.
`int` | `getHeight()` Gets the height of the image.
`java.lang.String` | `getID()` Gets the id of the image.
`int` | `getSize()` Gets the size of the image.
`int` | `getType()` Gets the type of the image.
`int` | `getWidth()` Gets the width of the image.
`javax.activation.DataHandler` | `serverGetImage()` Queries the server to get the image data handler.
`java.lang.String` | `toString()` Returns the string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_GIF

    public static final int TYPE_GIF

  Represents the image is of type ".gif".

  See Also:
    Constant Field Values

### TYPE_JPEG

    public static final int TYPE_JPEG

  Represents the image is of type ".jpeg".

  See Also:
    Constant Field Values

Method Detail

### getID

    public java.lang.String getID()

  Gets the id of the image.

  Returns:
    the id of the image

### getType

    public int getType()

  Gets the type of the image.

  Returns:
    the type of the image
  See Also:
    `TYPE_GIF`, `TYPE_JPEG`

### getHeight

    public int getHeight()

  Gets the height of the image.

  Returns:
    the height of the image (in pixels)

### getWidth

    public int getWidth()

  Gets the width of the image.

  Returns:
    the width of the image (in pixels)

### getSize

    public int getSize()

  Gets the size of the image.

  Returns:
    the size of the image (in bytes)

### getFileName

    public java.lang.String getFileName()

  Gets the filename of the image.

  Returns:
    the id of the image

### serverGetImage

    public javax.activation.DataHandler serverGetImage()
                                                throws DominoException

  Queries the server to get the image data handler.

  Returns:
    a handler that can supply the image data
  Throws:
    `DominoException`

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.